%define upstream_name    Config-MVP
%define upstream_version 2.200011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Multivalue-property config-loading state machine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.170.0
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 0.910.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::OneArgNew)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Role::HasMessage)
BuildRequires: perl(Role::Identifiable::HasIdent)
BuildRequires: perl(StackTrace::Auto)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Throwable)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
MVP is a state machine for loading configuration (or other information) for
libraries. It expects to generate a list of named sections, each of which
relates to a Perl namespace and contains a set of named parameters.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.200.11-3.mga8
+ Revision: 1503592
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.200.11-2.mga7
+ Revision: 1282365
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 2.200.11-1.mga7
+ Revision: 1220763
- update to 2.200011

* Sat Jun 18 2016 pterjan <pterjan> 2.200.10-3.mga6
+ Revision: 1024306
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.200.10-2.mga6
+ Revision: 966573
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 2.200.10-1.mga6
+ Revision: 845946
- update to 2.200010

* Sat Oct 18 2014 umeabot <umeabot> 2.200.8-5.mga5
+ Revision: 787581
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.200.8-4.mga5
+ Revision: 744054
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.200.8-3.mga5
+ Revision: 732957
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.200.8-2.mga5
+ Revision: 683986
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 sander85 <sander85> 2.200.8-1.mga5
+ Revision: 642711
- update to 2.200008

* Mon Feb 10 2014 jquelin <jquelin> 2.200.7-1.mga5
+ Revision: 588251
- update to 2.200007

* Mon Oct 21 2013 umeabot <umeabot> 2.200.6-2.mga4
+ Revision: 536996
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.200.6-1.mga4
+ Revision: 486138
- update to 2.200006

* Thu Aug 29 2013 sander85 <sander85> 2.200.4-1.mga4
+ Revision: 472874
- update to 2.200004

* Fri Jun 07 2013 jquelin <jquelin> 2.200.3-1.mga4
+ Revision: 438894
- update to 2.200003

* Sun Jan 13 2013 umeabot <umeabot> 2.200.2-2.mga3
+ Revision: 364673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 2.200.2-1.mga3
+ Revision: 254667
- update to 2.200002

* Mon Feb 21 2011 jquelin <jquelin> 2.200.1-1.mga1
+ Revision: 55395
- update to 2.200001

* Thu Jan 20 2011 jquelin <jquelin> 2.101.650-2.mga1
+ Revision: 25966
- mageia rebuild
- imported package perl-Config-MVP

